Bug 2244 - RFID Cataloguing - Programming RFID tags from Koha
Summary: RFID Cataloguing - Programming RFID tags from Koha
Status: NEW
Alias: None
Product: Koha
Classification: Unclassified
Component: Staff Client (show other bugs)
Version: master
Hardware: All All
: P1 - high enhancement (vote)
Assignee: Bugs List
QA Contact:
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-06-13 09:49 UTC by Chris Cormack
Modified: 2022-04-28 06:34 UTC (History)
9 users (show)

See Also:
Change sponsored?: Seeking cosponsors
Patch complexity: ---
Text to go in the release notes:
Version(s) released in:


Attachments
0001-RFID-direct-tagging-v1.1.patch (27.43 KB, patch)
2009-09-06 21:35 UTC, Chris Cormack
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Cormack 2010-05-21 00:48:26 UTC


---- Reported by mjr@ttllp.co.uk 2008-06-13 09:49:09 ----

I'm developing an RFID add-on for Koha cataloguing and circulation.  Details are still sketchy, but available on request.  It will probably use the perl-rfid modules that are available on CPAN as a base and something like the Danish data model (Doc 067).  I think it will not be ready for inclusion in 3.0 but should be available as a contribution.  Cooperation enquiries welcome.



---- Additional Comments From jmf@liblime.com 2008-07-07 22:08:54 ----

why not just use the SIP2 support?



---- Additional Comments From mjr@ttllp.co.uk 2008-07-08 16:28:40 ----

Because SIP2 doesn't seem to cover programming tags and we've a sponsor who wants that.




---- Additional Comments From joe.atzberger@liblime.com 2008-10-13 06:16:55 ----

I've had contact w/ 3M technician regarding RFID "pads" and their interface for programming.  He was interested in installing Koha locally and testing functionality.  I'm not sure how much his expectations differ from yours regarding "programming" the tags.  Do you have a writeup of the programmability features?



---- Additional Comments From mjr@ttllp.co.uk 2009-09-06 21:35:18 ----

Created an attachment
0001-RFID-direct-tagging-v1.1.patch





--- Bug imported by chris@bigballofwax.co.nz 2010-05-21 00:48 UTC  ---

This bug was previously known as _bug_ 2244 at http://bugs.koha.org/cgi-bin/bugzilla3/show_bug.cgi?id=2244
Imported an attachment (id=584)

Actual time not defined. Setting to 0.0
The original reporter of this bug does not have
   an account here. Reassigning to the person who moved
   it here: chris@bigballofwax.co.nz.
   Previous reporter was mjr@ttllp.co.uk.
The original assignee of this bug does not have
   an account here. Reassigning to the default assignee
   for the component, gmcharlt@gmail.com.
   Previous assignee was mjr@ttllp.co.uk.
The original submitter of attachment 584 [details] [review] is unknown.
   Reassigning to the person who moved it here: chris@bigballofwax.co.nz.

Comment 1 Chris Cormack 2011-04-27 04:47:42 UTC
Is this really fixed? I cant find the patch in Koha anywhere
Comment 2 MJ Ray (software.coop) 2011-04-27 14:54:35 UTC
The patch was sent and apparently never merged (I don't know why, but I see josh's attitude above). I'm not sure where the FIXED tag came from.

There have been more developments since, it will all need porting forward now and there may be a research project starting next month which might fund that work, but what I really could do with is collaboration from a library with some ISO-28560 SIP2 RFID devices to make sure we're compatible.

What's the correct way of showing this in the bug tracker?  I've made some guesses. Please change them if wrong.
Comment 3 Lori Ayre 2011-08-15 14:48:46 UTC
Hi All,

I wanted to go on record as being available to help find testers for any RFID testing you might need.  I just came upon this thread so it may be old but if you are looking for help and need some testing libraries, let me know.  

And in terms of 28560, our US libraries will be moving (eventually) to 28560-2 so any development related to making use of the new standard will need to have support for both 28560-2 and 28560-3.  And if necessary, I can help find funding to make sure there's support for both.

I don't have anything more specific to offer at this point but if this starts going anyway, would you let me know?

Lori
Comment 4 Chris Cormack 2013-01-02 01:39:56 UTC
Needs a new patch for Template::Toolkit
Comment 5 Katrin Fischer 2019-05-04 17:49:46 UTC
Sad to see this one lost. I think the ability to write tags from Koha would be really nice. At the moment it requires additional steps to program the tag and set the item up in Koha.
Comment 6 David Cook 2020-09-17 23:37:29 UTC
(In reply to Katrin Fischer from comment #5)
> Sad to see this one lost. I think the ability to write tags from Koha would
> be really nice. At the moment it requires additional steps to program the
> tag and set the item up in Koha.

This could be a fun project. I wonder how many libraries are using RFID tags and not realizing a bit of sponsorship could lead to a new feature.

Apparently I have some RFID gear here in the office. We don't have many libraries using RFID, but it would be fun...